/*
 * Copyright (C) 1995-2014 by 4system Polska Sp. z o.o.
 * All Rights Reserved. v4
 */

__componentEmbeddedAction = function(name)
{
	//inherited
	this.componentElement = componentElement;
	this.componentElement(name);

	this.actions = new Object();
};

__componentEmbeddedAction.prototype = new componentElement;
__componentEmbeddedAction.prototype.type = "__componentEmbeddedAction";

__componentEmbeddedAction.prototype.onCreate = function()
{
};

__componentEmbeddedAction.prototype.onPaint = function()
{
};

__componentEmbeddedAction.prototype.runAction = function()
{
	for (var act in this.actions) {
		try {
			eval(this.actions[act]);
		} catch (e) {
			var errStr = "Embedded action error!\n\n" + e.message + "\n\n" + this.actions[name];
			log.error(errStr);
		};
	};
};
